Get All 2
Proxy to fetch provisioning endpoints
Retrieves provisioning endpoints for given organization
Request
URI
GET
https://{vcfa-fqdn}/abx/api/provisioning/endpoints
COPY
Query Parameters
integer
page
Optional
Constraints:
minimum: 0
default: 0
Zero-based page index (0..N)
integer
size
Optional
Constraints:
minimum: 1
default: 20
The size of the page to be returned
string of
array
sort
Optional
Constraints:
default: updatedMillis,DESC
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
Paged result of provisioning endpoints
Returns
PageObject
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"size": 0,
"content": [
{}
],
"number": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"numberOfElements": 0,
"pageable": {
"offset": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"unpaged": false
},
"first": false,
"last": false,
"empty": false
}
401
Unauthorized to make the request
Returns
PageObject
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"size": 0,
"content": [
{}
],
"number": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"numberOfElements": 0,
"pageable": {
"offset": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"unpaged": false
},
"first": false,
"last": false,
"empty": false
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/abx/api/provisioning/endpoints